Subject: bug#1973: Bug in simple.el (Emacs version 22.2.1)

From: Sebastian Tennant <[email-masked]>
Date: Thu, 22 Jan 2009 08:45:41 +0000

Quoth Stefan Monnier <[email-masked]>:
>> Asynchronous commands called via shell-command, for example:
>
>>  (shell-command "apt-get update &")
>
>> fill the buffer *Async Shell Command Output* with Ctrl-Ms, which I'm
>> sure is not what's intended.
>
>> My patch (attached) fixes this by using make-comint-in-buffer, rather
>> than start-process, to call the asynchronous process.
>
> Such a feature would be good, indeed.  

Sorry Stefan, I'm not sure what feature it is you are refering to.

There seems to be a bug within shell mode that prevents it from handling
Ctrl-Ms properly.

> I'm not sure that just using make-comint-in-buffer is good enough.
> Maybe we should provide a new command instead, along the lines of
> comint-run, or maybe even change comint-run so that it accepts a shell
> command rather than an executable name.

Why?

In any case, I suspect we should extend rather than alter, comint mode
being the basis for dozens of other 'interpreter modes'.

Sebastian